Subject: npds Digest V2 #19

From: Listar <nospam_listar_at_ml.free_dot_fr>
Date: Wed, 21 Mar 2001 03:11:13 +0100 (CET)

------------------------------------
npds Digest	Tue, 20 Mar 2001	Volume: 02  Issue: 019

In This Issue:
		[NPDS] Bad data returned from search form
		[NPDS] Re: Eddie Tracker now at version 0.1.22?
		[NPDS] Re: Gif module question
		[NPDS] Re: Bad data returned from search form
		[NPDS] Re: Bad data returned from search form

----------------------------------------------------------------------

Date: Mon, 19 Mar 2001 18:18:27 -0800
Subject: [NPDS] Re: Gif module question
From: "Josh Burker" <nospam_Josh_Burker_at_misd.wednet_dot_edu>

[email-masked] writes:
>Help!
>
>I haven't run NPDS is awhile, but I ran it overnight, and whenever I (or
>anyone else) tries to view my screen through the GIF module, it crashes
>the Newt! I'm definitely running the latest version (fast 4-bit), on a
>MP2100. The version I have doesn't have a version number, but it was
>installed in October of last year, and it says under 'pkg info' that it
>was created Oct. 9 of 2000. It worked fine the first time I accessed it,
>but now it crashes every time...
>
>Any ideas?
>
>--
>John I. Clark

I had the same problem at one point with the newer GIF Module.  I found
that flushing the cache and erasing the NPDS entry under Storage
eventually cleared up the problem.  It's been a while, and I do not think
I had to reinstall the GIF Module itself; I just trashed any preferences
or cached info.

HTH,

Josh

------------------------------

Subject: [NPDS] Eddie Tracker now at version 0.1.22?
Date: Mon, 19 Mar 2001 20:06:03 -0700
From: Grant [Blither Blather] Hutchinson <nospam_grant_at_splorp_dot_com>

Hi Victor.

I noticed that when you posted the new version of your tracker, the 
client settings information is no longer there. Could that chunk of text 
be appended to the tracker page using a include file, so that it's always 
referenced when the tracker gets recompiled?

Just thought I'd let you know.

Grant

......................................................................

Grant Hutchinson                       Interface Considerations & Toys

Live video served fresh since 1996.    http://www.splorp.com/
Now fortified with daily ramblings.    http://www.splorp.com/blog/
Newton. It's the Palm with a brain.    http://www.splorp.com/newton/

------------------------------

Date: 20 Mar 2001 15:30:39 EST
From: [email-masked] (Charles P. Daghlian)
Subject: [NPDS] Bad data returned from search form

Hello,

I have noticed that the search form, when used to query the filed notes returns
a url that does not work. It is thus:
/html/-183691048$45.nsd.nsd
but should clearly be thus:
/html/-183691048$45.nsd

How can this be fixed?
You can try it out at http://paleonews.dartmouth.edu
I think I have the latest versions of the various NPDS components.

While I have your attention, can anyone tell me how to change the sort order in
the listings of notes/web posting? I would prefer to list most recent first, not
last.

Regards,

Chuck
********************************************
Charles P. Daghlian, Ph. D.
Director, Rippel E. M. Facility
7605 Remsen
Dartmouth College
Hanover, NH 03755
603-646-1039 / FAX 603-650-1637
http://www.dartmouth.edu/~emczar/
http://www.dartmouth.edu/~daghlian/paleo/
********************************************

------------------------------

Date: Wed, 21 Mar 2001 00:00:12 +0100
From: Paul Guyot <nospam_pguyot_at_kallisys_dot_net>
Subject: [NPDS] Re: Eddie Tracker now at version 0.1.22?

>I noticed that when you posted the new version of your tracker, the
>client settings information is no longer there. Could that chunk of text
>be appended to the tracker page using a include file, so that it's always
>referenced when the tracker gets recompiled?

Actually, the server 0.1.20 used two files for the header and the 
footer. 0.1.22 now uses a single template file instead. When I built 
this template file, I looked at what was then on Victor's tracker. It 
was a little bit before he added the informations for how to register 
on his tracker. I made a new template file I sent him, but he hasn't 
found the time to install it yet.

Besides, I made an annotated screen shot of the client to show you 
how to set it up. It can be found at:
http://www.kallisys.com/images/client-setup.gif

The settings informations are the following:

Matt's tracker
server: 130.126.50.66
Newton Port: 2110
Path: tracker.cgi
HTTP Port: 80

Victor's tracker
server: eddie.cis.uoguelph.ca
Newton Port: 2110
Leave the path blank
HTTP Port: 2110

Paul
-- 
http://www.kallisys.com/
Newton WebServer: http://newt.dyndns.org:8080
                       Does ATA Support 0.1a2 work with your ATA card(s)?
                                      http://www.kallisys.com/newton/ata/

------------------------------

Date: Wed, 21 Mar 2001 00:00:50 +0100
From: Paul Guyot <nospam_pguyot_at_kallisys_dot_net>
Subject: [NPDS] Re: Gif module question

>I had the same problem at one point with the newer GIF Module.  I found
>that flushing the cache and erasing the NPDS entry under Storage
>eventually cleared up the problem.  It's been a while, and I do not think
>I had to reinstall the GIF Module itself; I just trashed any preferences
>or cached info.

Interesting.
Reinstalling the GIF Module can't help actually.

Paul
-- 
http://www.kallisys.com/
Newton WebServer: http://newt.dyndns.org:8080
                       Does ATA Support 0.1a2 work with your ATA card(s)?
                                      http://www.kallisys.com/newton/ata/

------------------------------

Date: Wed, 21 Mar 2001 00:05:53 +0100
From: Paul Guyot <nospam_pguyot_at_kallisys_dot_net>
Subject: [NPDS] Re: Bad data returned from search form

Hi Charles,

>I have noticed that the search form, when used to query the filed 
>notes returns
>a url that does not work. It is thus:
>/html/-183691048$45.nsd.nsd
>but should clearly be thus:
>/html/-183691048$45.nsd

Wow, I forgot this bug.

>How can this be fixed?

You need a Mac and MacOS Voice recognition technology (and of course 
a plain talk microphone). It's better to have Mexican TTS as well. 
Choose carlos in the voices.
Get the source from http://130.126.50.66/npds/current/
Connect your Newton to the mac.
Turn NPDS off.
Turn recognition on on the mac.
Say: Please fix the bugs in NPDS.
Wait.
Wait.
There is normally no need to reinstall the packages on your Newton.

If it failed, it is because the Mac didn't understand what you said. 
Try to repeat steps 4 to 6.

BTW, if you finally succeeded (my accent is so bad I wasn't able to 
do it), please send the packages to Matt. He will surely post them 
ASAP.

>While I have your attention, can anyone tell me how to change the 
>sort order in the listings of notes/web posting? I would prefer to 
>list most recent first, not last.

OK, I'll add that to the to-do list.

Paul
-- 
http://www.kallisys.com/
Newton WebServer: http://newt.dyndns.org:8080
                       Does ATA Support 0.1a2 work with your ATA card(s)?
                                      http://www.kallisys.com/newton/ata/

------------------------------

Date: 20 Mar 2001 20:29:43 EST
From: [email-masked] (Charles P. Daghlian)
Subject: [NPDS] Re: Bad data returned from search form

--- You wrote:
You need a Mac and MacOS Voice recognition technology (and of course 
a plain talk microphone). It's better to have Mexican TTS as well. 
Choose carlos in the voices.
Get the source from http://130.126.50.66/npds/current/
Connect your Newton to the mac.
Turn NPDS off.
Turn recognition on on the mac.
Say: Please fix the bugs in NPDS.
Wait.
Wait.
There is normally no need to reinstall the packages on your Newton.

If it failed, it is because the Mac didn't understand what you said. 
Try to repeat steps 4 to 6.
--- end of quote ---
Paul,

I didn't know you lived in a Mac. I actually thought maybe there was some script
that I could change. I am always happy to wait, wait.

regards,

Chuck

------------------------------

End of npds Digest V2 #19
*************************